Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062692 - [abrt] vim-X11: strlen(): gvim killed by SIGSEGV
Summary: [abrt] vim-X11: strlen(): gvim killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7decdc747c3ebdffa3991123388...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 17:55 UTC by sfalco
Modified: 2015-02-17 19:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:57:18 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: cgroup (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: core_backtrace (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: dso_list (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: environ (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: exploitable (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: limits (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: maps (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: open_fds (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details
File: proc_pid_status (deleted)
2014-02-07 17:55 UTC, sfalco
no flags Details

Description sfalco 2014-02-07 17:55:16 UTC
Description of problem:
The file I was editing was shrunk by another process.  gvim asked if it should reload the file.  I said yes, and it crashed.  I've seen this happen before, but not always.

Version-Release number of selected component:
vim-X11-7.4.027-2.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/gvim -u /home/sfalco/.vimrc konsole.txt
crash_function: strlen
executable:     /usr/bin/gvim
kernel:         3.12.8-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            4059
var_log_messages: Feb  7 12:45:23 saf abrt-hook-ccpp[16564]: Saved core dump of pid 10837 (/usr/bin/gvim) to /var/tmp/abrt/ccpp-2014-02-07-12:45:23-10837 (37109760 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:31
 #1 clip_convert_selection at ops.c:6045
 #2 x11_export_final_selection at ops.c:5849
 #5 strlen at ../sysdeps/x86_64/strlen.S:31
 #6 clip_convert_selection at ops.c:6045
 #7 selection_get_cb at gui_gtk_x11.c:1309
 #11 g_signal_emit_by_name at gsignal.c:3424
 #12 gtk_selection_invoke_handler at gtkselection.c:2986
 #13 _gtk_selection_request at gtkselection.c:2391
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86

Comment 1 sfalco 2014-02-07 17:55:20 UTC
Created attachment 860610 [details]
File: backtrace

Comment 2 sfalco 2014-02-07 17:55:21 UTC
Created attachment 860611 [details]
File: cgroup

Comment 3 sfalco 2014-02-07 17:55:23 UTC
Created attachment 860612 [details]
File: core_backtrace

Comment 4 sfalco 2014-02-07 17:55:25 UTC
Created attachment 860613 [details]
File: dso_list

Comment 5 sfalco 2014-02-07 17:55:26 UTC
Created attachment 860614 [details]
File: environ

Comment 6 sfalco 2014-02-07 17:55:28 UTC
Created attachment 860615 [details]
File: exploitable

Comment 7 sfalco 2014-02-07 17:55:29 UTC
Created attachment 860616 [details]
File: limits

Comment 8 sfalco 2014-02-07 17:55:32 UTC
Created attachment 860617 [details]
File: maps

Comment 9 sfalco 2014-02-07 17:55:33 UTC
Created attachment 860618 [details]
File: open_fds

Comment 10 sfalco 2014-02-07 17:55:35 UTC
Created attachment 860619 [details]
File: proc_pid_status

Comment 11 Fedora End Of Life 2015-01-09 21:09:33 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-02-17 19:57:18 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.